<template>
    <v-container>
        <v-container>
            <v-card class="px-3">
                <v-card-text class="headline">Search Attraction</v-card-text>
                <v-card-text class="mt-0 pt-0">
                    <v-row>
                        <v-text-field
                                height="50"
                                background-color="color"
                                label="Solo"
                                placeholder="Search"
                                solo
                        ></v-text-field>
                        <v-btn color="orange darken-1" height="50" dark>Search</v-btn>
                    </v-row>
                </v-card-text>
            </v-card>
        </v-container>
        <v-container>
            <v-list-item
                    v-for="(attraction, index) in pagination.data"
                    :key="index"
            >
                <v-card class="fill-height my-2" min="800">
                    <v-img :src="require('../assets/attraction/'+(index)+'.jpg')"></v-img>
                    <v-card-text class="text-left my-3 py-0">
                        <div class="title">Name</div>
                        <div>{{attraction.name}}</div>
                    </v-card-text>
                    <v-card-text class="text-left my-3 py-0">
                        <div class="title">Location</div>
                        <div>{{attraction.location}}</div>
                    </v-card-text>
                    <v-card-actions class="mb-2 py-0">
                        <v-btn text @click="viewAttractions(attraction.id)">View More</v-btn>
                    </v-card-actions>
                </v-card>
            </v-list-item>
            <v-row class="fill-height" align="end" justify="center">
                <v-col cols="8">
                    <v-container class="max-width">
                        <v-pagination
                                v-model="page"
                                class="my-4"
                                :length="this.pagination['last_page']"
                        ></v-pagination>
                    </v-container>
                </v-col>
            </v-row>
        </v-container>
        <v-dialog v-model="attractionDialog" max-width="500">
            <v-card>
                <v-card-title>Attraction Name</v-card-title>
                <v-card-text class="text-left">{{selectedAttraction.name}}</v-card-text>
                <v-card-title>Location</v-card-title>
                <v-card-text class="text-left">{{selectedAttraction.location}}</v-card-text>
                <v-card-title>Overview</v-card-title>
                <v-card-text class="text-left">{{selectedAttraction.overview}}</v-card-text>
            </v-card>
        </v-dialog>
    </v-container>
</template>

<script>
    export default {
        name: "Attraction",
        data() {
            return {
                page: 1,
                lastPage: 5,
                pagination: Object,
                selectedAttraction: Object,
                attractionDialog: false,
            }
        },
        watch: {
            page: function () {
                this.getAttractions()
            }
        },
        methods: {
            changeLoading() {
                this.$emit('isLoading')
            },
            viewAttractions(attractionId) {
                this.$apiRequest.viewAttraction(attractionId).then(response => {
                    this.selectedAttraction = response.data.data.attraction
                    this.attractionDialog = true
                }).catch(error => {
                    console.log(error)
                }).finally(() => {

                })
            },
            getAttractions() {
                this.changeLoading()
                this.$apiRequest.listAttraction(this.page).then(response => {
                    this.pagination = response.data.data.attractions
                    console.log(this.pagination.data[0].images[0])
                }).catch(error => {
                    console.log(error)
                }).finally(() => {
                    this.changeLoading()
                })
            }
        },
        created() {
            this.getAttractions()
        }

    }
</script>

<style scoped>

</style>